/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: ObjetoInexistenteException
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.excecoes;


/**
 * ObjetoInexistenteException  a classe que extende Exception
 * e representa uma exceo de Objeto Inexistente
 *
 * @author  ADFT
 */
public class ObjetoInexistenteException extends Exception {
    private String mensagem;

   /**
    * Construtor da classe ObjetoInexistenteException
    */
    public ObjetoInexistenteException(String tipoDoObjeto, String operacao) {
        super("Objeto " + tipoDoObjeto + " inexistente!");
        mensagem = "ERRO :: Tentativa de " + operacao + " um objeto " + tipoDoObjeto + " inexistente!";
    }

   /**
    * Retorna a mensagem de erro
    *
    * @return   Uma String contendo a mensagem de erro
    */
    public String getMensagem() {
        return this.mensagem;
    }
}

