/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: ObjetoJaCadastradoException
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.excecoes;


/**
 * ObjetoJaCadastradoException  a classe que extende Exception
 * e representa uma exceo de Objeto Ja Cadastrado
 *
 * @author  ADFT
 */
public class ObjetoJaCadastradoException extends Exception {
    private String mensagem;

   /**
    * Construtor da classe ObjetoJaCadastradoException
    */
    public ObjetoJaCadastradoException(String tipoDoObjeto, String operacao) {
        super("Objeto " + tipoDoObjeto + " ja' cadastrado!");
        mensagem = "ERRO :: Tentativa de " + operacao + " um objeto " + tipoDoObjeto + " ja' cadastrado!";
    }

   /**
    * Retorna a mensagem de erro
    *
    * @return   Uma String contendo a mensagem de erro
    */
    public String getMensagem() {
        return this.mensagem;
    }
}

