/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: ObjetoVazioException
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.excecoes;


/**
 * ObjetoVazioException  a classe que extende Exception
 * e representa uma exceo de Objeto Vazio
 *
 * @author  ADFT
 */
public class ObjetoVazioException extends Exception {
    private String mensagem;

   /**
    * Construtor da classe ObjetoVazioException
    */
    public ObjetoVazioException(String tipoDoObjeto, String operacao) {
        mensagem = "ERRO :: Tentativa de " + operacao + " um objeto " + tipoDoObjeto + " vazio!";
    }

   /**
    * Retorna a mensagem de erro
    *
    * @return   Uma String contendo a mensagem de erro
    */
    public String getMensagem() {
        return this.mensagem;
    }
}

