/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: Financas
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.onibus;

import gestao.rodoviario.excecoes.ObjetoInexistenteException;
import gestao.rodoviario.excecoes.ObjetoJaCadastradoException;
import gestao.rodoviario.excecoes.ObjetoVazioException;

/**
 * InterfaceDoRepositorioDeOnibus e uma classe que mostra uma
 * interface de acesso da classe RepositorioDeOnibus.
 *  utilizada nesse projeto atravs da classe CadastroDeOnibus.
 *
 * Exemplo de uso:
 * InterfaceDoRepositorioDeOnibus interface = new RepositorioDeOnibus(),
 * onde RepositorioDeOnibus implementa nterfaceDoRepositorioDeOnibus.
 *
 * @author  ADFT
 */
public interface InterfaceDoRepositorioDeOnibus {

   /**
    * Mtodo que abstrai a insero de um nibus
    */
    public abstract void inserirOnibus(Onibus onibus)
        throws ObjetoVazioException, ObjetoJaCadastradoException;

   /**
    * Mtodo que abstrai a remoo de um nibus
    */
    public abstract boolean removerOnibus(Onibus onibus)
        throws ObjetoInexistenteException, ObjetoVazioException;

   /**
    * Mtodo que abstrai a procura por nibus
    */
    public abstract RepositorioDeOnibus procurarOnibus(Onibus onibus)
        throws ObjetoJaCadastradoException, ObjetoVazioException, ObjetoInexistenteException;

   /**
    * Mtodo que abstrai a obteno de um iterador do RepositoriodeOnibus
    */
    public abstract Onibus[] getIterador();
}