/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: Pessoa
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.pessoa;


/**
 * Pessoa  a super classe das classes Funcionario e Passageiro
 *
 * Exemplo de uso: 
 * Pessoa pessoa = new Pessoa();
 *
 * @author  ADFT
 */
public class Pessoa {

    private String nome;
    private String identidade;

   /**
    * Construtor da classe Pessoa
    */
  	public Pessoa(String nome,String identidade) {

        this.nome = nome;
        this.identidade = identidade;
    }

   /**
    * Construtor da classe Pessoa
    */
  	public Pessoa() {
        this.nome = "";
        this.identidade = "";
    }

   /**
    * Seta o nome de uma pessoa
    */
    public void setNome(String nome) {
        this.nome = nome;
    }
    
   /**
    * Retorna o nome de uma pessoa
    *
    * @return
    */
    public String getNome() {
        return this.nome;
    }
    
   /**
    * Seta a identidade de uma pessoa
    */
    public void setIdentidade(String identidade) {
        this.identidade = identidade;
    }

   /**
    * Retorna a identidade de uma pessoa
    *
    * @return
    */
    public String getIdentidade() {
        return this.identidade;
    }
}