/*
 * Projeto: SGER - Sistema Gestor de Empresas Rodovirias
 *
 * Tipo: Teste
 *
 * Marca Registrada (c) 2002 ADFT
 * Grupo do Centro de Informtica da UFPE, Recife-PE
 * Todos os direitos reservados.
 */

package gestao.rodoviario.teste;

import gestao.rodoviario.fachada.Fachada;

import gestao.rodoviario.funcionario.Funcionario;
import gestao.rodoviario.passageiro.Passageiro;
import gestao.rodoviario.passageiro.PassageiroCrianca;
import gestao.rodoviario.passageiro.PassageiroIdoso;
import gestao.rodoviario.passageiro.PassageiroAdulto;
import gestao.rodoviario.passagem.Passagem;
import gestao.rodoviario.viagem.Viagem;
import gestao.rodoviario.onibus.Onibus;

import gestao.rodoviario.excecoes.ObjetoInexistenteException;
import gestao.rodoviario.excecoes.ObjetoJaCadastradoException;
import gestao.rodoviario.excecoes.ObjetoVazioException;


/**
 * Teste  a classe exemplo utilizada para mostrar as principais
 * funcionalidades do sistema
 *
 * @author  ADFT
 */
public class Teste {

    private static Fachada fachada;

   /**
    * Construtor da classe Teste
    */
    public Teste() {
        fachada = new Fachada();
    }

    public static void main(String args[])
        throws ObjetoVazioException, ObjetoJaCadastradoException, ObjetoInexistenteException {

        Teste teste = new Teste();

        // TESTANDO O CADASTRO DE FUNCIONARIO

        /*try {

            Funcionario funcionario = new Funcionario();
            Funcionario funcionarioKey = new Funcionario("Alexsandro", "", "");;
            Funcionario[] funcionarioLista;
            int index;

            //
            // CODIGO PARA ObjetoVazioException
            // fachada.inserirFuncionario(funcionario);
            //

            Funcionario funcionario1 = new Funcionario("Alexsandro", "11111", "Analista de Sistemas");
            Funcionario funcionario2 = new Funcionario("Alexsandro", "22222", "Programador");
            Funcionario funcionario3 = new Funcionario("Severino", "33333", "Arquiteto");

            // Testa inserirFuncionario() e consultarFuncionario()
            fachada.inserirFuncionario(funcionario1);
            fachada.inserirFuncionario(funcionario2);
            fachada.inserirFuncionario(funcionario3);
            funcionarioLista = fachada.consultarFuncionario(funcionarioKey);
            index = 0;
            while (funcionarioLista[index] != null) {
                funcionario = funcionarioLista[index];
                System.out.println(funcionario.getNome() + "  " + funcionario.getCargoDoFuncionario());
                index++;
            }

            //
            // CODIGO PARA ObjetoJaCadastradoException
            // fachada.inserirFuncionario(funcionario3);
            //
            // CODIGO PARA ObjetoInexistenteException
            // fachada.removerFuncionario(funcionarioKey);
            //

            // Testa removerFuncionario() e listarTodosFuncionario()
            fachada.removerFuncionario(funcionario2);
            funcionarioLista = fachada.listarTodosFuncionario();
            index = 0;
            System.out.println();
            while (funcionarioLista[index] != null) {
                funcionario = funcionarioLista[index];
                System.out.println(funcionario.getNome() + "  " + funcionario.getCargoDoFuncionario());
                index++;
            }

        }

        catch (ObjetoVazioException excecao) {
            System.out.println(excecao.getMensagem());
        }

        catch (ObjetoJaCadastradoException excecao) {
            System.out.println(excecao.getMensagem());
        }

        catch (ObjetoInexistenteException excecao) {
            System.out.println(excecao.getMensagem());
        }*/


        // TESTANDO O CADASTRO DE ONIBUS
        try {


            Onibus onibusKey = new Onibus("", "", "002", "");;
            Onibus[] onibusLista;
            int index;

            //
            // CODIGO PARA ObjetoVazioException
            // fachada.inserirFuncionario(funcionario);
            //

            Onibus onibus1 = new Onibus("Convencional001", "02/55/5220", "001","2002");
            Onibus onibus2 = new Onibus("Convencional002", "02/55/5220", "002","2002");
            Onibus onibus3 = new Onibus("Convencional003", "02/55/5220", "003","2002");
            // Testa inserirFuncionario() e consultarFuncionario()
            fachada.inserirOnibus(onibus1);
            fachada.inserirOnibus(onibus2);
            fachada.inserirOnibus(onibus3);

            onibusLista = fachada.listarTodosOnibus();
            index = 0;
            System.out.println();
            while (onibusLista[index] != null) {
                System.out.println(onibusLista[index].getModeloOnibus()+"---");
                index++;
            }

            fachada.removerOnibus(onibusKey);
            onibusLista = fachada.listarTodosOnibus();
            index = 0;
            System.out.println();
            while (onibusLista[index] != null) {
                System.out.println(onibusLista[index].getModeloOnibus()+"---");
                index++;
            }


            //
            // CODIGO PARA ObjetoJaCadastradoException
            // fachada.inserirFuncionario(funcionario3);
            //
            // CODIGO PARA ObjetoInexistenteException
            // fachada.removerFuncionario(funcionarioKey);
            //

            // Testa removerFuncionario() e listarTodosFuncionario()


        }

        catch (ObjetoVazioException excecao) {
            System.out.println(excecao.getMensagem());
        }

        catch (ObjetoJaCadastradoException excecao) {
            System.out.println(excecao.getMensagem());
        }

        catch (ObjetoInexistenteException excecao) {
            System.out.println(excecao.getMensagem());
        }

        // TESTANDO O CADASTRO DE PASSAGEIRO

        // TESTANDO O CADASTRO DE PASSAGEM

        // TESTANDO O CADASTRO DE VIAGEM

    }

}


